summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJordi Mallach <jordi@sindominio.net>2004-11-09 09:57:04 +0000
committerJordi Mallach <jordim@src.gnome.org>2004-11-09 09:57:04 +0000
commitc2ca33a7a05bffbb9d78068cdeebfdb2fbda1cfa (patch)
tree61eafb7f6625b21a9e8296dd7ae7c59341ceb74a
parent1f4269cf6fc61e01fec73684345a81998eb68d5b (diff)
downloadshared-mime-info-c2ca33a7a05bffbb9d78068cdeebfdb2fbda1cfa.tar.gz
Call all the bootstrap programs (libtoolize, intltoolize, gtkdocize,
2004-11-09 Jordi Mallach <jordi@sindominio.net> * gnome-autogen.sh: Call all the bootstrap programs (libtoolize, intltoolize, gtkdocize, automake) using --force and --copy consistently. svn path=/trunk/; revision=3482
-rw-r--r--macros2/ChangeLog6
-rw-r--r--macros2/gnome-autogen.sh8
2 files changed, 10 insertions, 4 deletions
diff --git a/macros2/ChangeLog b/macros2/ChangeLog
index 50f2824d..5ea856a3 100644
--- a/macros2/ChangeLog
+++ b/macros2/ChangeLog
@@ -1,3 +1,9 @@
+2004-11-09 Jordi Mallach <jordi@sindominio.net>
+
+ * gnome-autogen.sh: Call all the bootstrap programs (libtoolize,
+ intltoolize, gtkdocize, automake) using --force and --copy
+ consistently.
+
2004-10-28 James Henstridge <james@jamesh.id.au>
* gnome-autogen.sh: get rid of the code that modified PATH,
diff --git a/macros2/gnome-autogen.sh b/macros2/gnome-autogen.sh
index 8e13b825..0c74fb2b 100644
--- a/macros2/gnome-autogen.sh
+++ b/macros2/gnome-autogen.sh
@@ -324,7 +324,7 @@ for configure_ac in $configure_files; do
if grep "^A[CM]_PROG_LIBTOOL" $basename >/dev/null || \
grep "^LT_INIT" $basename >/dev/null; then
printbold "Running $LIBTOOLIZE..."
- $LIBTOOLIZE --force || exit 1
+ $LIBTOOLIZE --force --copy || exit 1
fi
if grep "^AM_GLIB_GNU_GETTEXT" $basename >/dev/null; then
@@ -342,11 +342,11 @@ for configure_ac in $configure_files; do
if grep "^AC_PROG_INTLTOOL" $basename >/dev/null; then
printbold "Running $INTLTOOLIZE..."
- $INTLTOOLIZE --force --automake || exit 1
+ $INTLTOOLIZE --force --copy --automake || exit 1
fi
if grep "^GTK_DOC_CHECK" $basename >/dev/null; then
printbold "Running $GTKDOCIZE..."
- $GTKDOCIZE || exit 1
+ $GTKDOCIZE --copy || exit 1
fi
if [ "x$USE_COMMON_DOC_BUILD" = "xyes" ]; then
@@ -383,7 +383,7 @@ for configure_ac in $configure_files; do
# Finally, run automake to create the makefiles ...
printbold "Running $AUTOMAKE..."
- $AUTOMAKE --gnu --add-missing || exit 1
+ $AUTOMAKE --gnu --add-missing --force --copy || exit 1
cd "$topdir"
fi